Bug 970806 - Creating <xref> links to tables and figures contained in the same topic do not render in the preview view
Creating <xref> links to tables and figures contained in the same topic do no...
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
Jared MORGAN
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 20:09 EDT by Jared MORGAN
Modified: 2015-08-09 21:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 01:23:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
How the xml and render view looks with an <xref> present in-line (65.71 KB, image/png)
2013-06-04 20:09 EDT, Jared MORGAN
no flags Details

  None (edit)
Description Jared MORGAN 2013-06-04 20:09:16 EDT
Created attachment 757013 [details]
How the xml and render view looks with an <xref> present in-line

Description of problem:

If you have a table or figure within a topic, and want to link to its ID within the topic, the preview screen does not resolve the link and makes it look like you've done an unsupported link.

Version-Release number of selected component (if applicable):

Build 201305221423

How reproducible:

100%

Steps to Reproduce:
1. Set an ID attribute on a figure or table in the topic.
2. Use <xref> to link to the table in the topic.
3. Note the behavior in the preview.

Actual results:

The <xref> is not resolved, and there is no text present.

Expected results:

The <xref> is resolved, and displays the gentext for the <xref>.

Additional info:

See screen shot for how it renders in the reported build.
Comment 1 Matthew Casperson 2013-06-27 22:40:18 EDT
Fixed in 201306281223

Rendering is now done with the publican XSL stylesheets, which fixes this issue.

NOTE:
When QAing bug fixes, please make sure the build you are using is equal to or higher than the build identified above. Be aware that this fix may have only been applied in PressGang Next at this time, or it may not be currently applied in any production system, in which case it can only be verified at a later date.
Comment 3 Lee Newson 2013-10-09 01:23:54 EDT
Moving this bug to CLOSED CURRENT_RELEASE to clean up old bugs that were QA'd
by the PressGang team but not by the original reporter. If the bug is still present then please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.